Bug 4299 - Reboot/Halt tries to unmount network-SMB Filesystems after ethX has shut down - it hangs
Reboot/Halt tries to unmount network-SMB Filesystems after ethX has shut down...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-01 10:46 EDT by symbol
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-21 16:13:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description symbol 1999-08-01 10:46:23 EDT
(Using kernel 2.2.10, i386, Realtek 10Mbs PCI Ethernet,
Samba 2.05a RPM, all RH updates installed at date of
08/01/99)

When using reboot, or halt (or shutdown command) and when a
SMB filesystem is mounted in the system (on another Samba
on another linux, in my case), the initscripts first shut
down network interfaces, and only after, at the end,
unmounts filesystems. Problem: the network interface must
be up to be able to unmount SMB filesystem.
Result: "unmounting filesystems" stays displayed, and the
PC is blocked, it waits forever, it won't unmount /, it
won't halt or reboot.
Solution: scripts should be added/mofied on initscripts
package(or maybe in samba package?) so SMB or other network
filesystems are unmounted before network interface are shut
down.
Comment 1 Bill Nottingham 1999-08-02 11:15:59 EDT
Actually, smb filesystems should be unmounted by the shutdown
of the 'netfs' service - do you have this running?
Comment 2 Bill Nottingham 1999-08-21 16:13:59 EDT
closed, lack of input

Note You need to log in before you can comment on or make changes to this bug.